%define upstream_name    WebService-Solr
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Module to interface with the Solr (Lucene) webservice
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WebService/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.160.0
BuildRequires: perl(Data::Page)
BuildRequires: perl(Data::Pageset)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(JSON::XS)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::Mock::LWP) >= 0.50.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(URI) >= 1.280.0
BuildRequires: perl(XML::Easy)
BuildRequires: perl(XML::Simple)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
WebService::Solr is a client library for Apache Lucene's Solr; an
enterprise-grade indexing and searching platform.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.230.0-6pclos2017
- rebuild against updates

